Bug 218600 - Review Request: resapplet - Resolution Switching Applet
Review Request: resapplet - Resolution Switching Applet
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-06 08:00 EST by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 16:53:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2006-12-06 08:00:04 EST
Spec URL: http://people.redhat.com/rvokal/resapplet/resapplet.spec
SRPM URL: http://people.redhat.com/rvokal/resapplet/resapplet-0.1.1-1.src.rpm
Description: 

Resapplet is a simple utility that sits in the system notification area
and allows switching the resolution and refresh rate.  It uses the
xrandr extensions to switch the resolution on-the-fly and user
resolution preferences to save the resolution.

It works in both GNOME and KDE, because it uses the system notification
area.

Additional info: This package is taken from SuSE created by Ximian guys. There's no upstream but the package is part of OpenSuSE core. Also I would like to hear some comments about icons the applet is using and where to place them. Thanks
Comment 1 Parag AN(पराग) 2006-12-06 10:17:37 EST
Preliminary review reveals that
rpmlint is not silent on RPM
W: resapplet no-version-in-last-changelog
The last changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.

==>Add Changelog as
* Wed Dec  6 2006 Radek Vokál <rvokal@redhat.com> - 0.1.1-1

W: resapplet no-url-tag
The URL tag is missing.

==> As no upstream so no URL is appearing here.

/tmp/resapplet-0.1.1-1.i386.rpm.7539/usr/share/applications/resapplet.desktop:
error: required key "Encoding" not found
E: resapplet invalid-desktopfile
/tmp/resapplet-0.1.1-1.i386.rpm.7539/usr/share/applications/resapplet.desktop
.desktop file is not valid, check with desktop-file-validate

==> You need to add following line to your desktop file
Encoding=UTF-8

SHOULD:
buildroot must be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Comment 3 Parag AN(पराग) 2006-12-07 02:29:58 EST
Still needs some Fixes
rpmlint on SRPM reports
W: resapplet mixed-use-of-spaces-and-tabs (spaces: line 51, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.


Also you need to install Desktop files as given below
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755
Change SPEC file.
Comment 4 Radek Vokal 2006-12-07 06:13:38 EST
http://people.redhat.com/rvokal/resapplet/resapplet.spec
http://people.redhat.com/rvokal/resapplet/resapplet-0.1.1-3.src.rpm

Changed location of desktop file, added Buildrequires desktop-file-utils,
cleaned tabs and spaces. 
Comment 5 Parag AN(पराग) 2006-12-07 07:04:48 EST
forgot to mention you need to add scriptlets also.
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?highlight=%28scriptlets%29#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda
Comment 6 Parag AN(पराग) 2006-12-07 07:07:20 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files md5sum. No upstream is available.
0f1d30b02182ff1ec463b3bc37e9326c  resapplet-0.1.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel or any subpackages exists
+ no .la files.
+ translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop files are handled in usual way.
- Not Used gtk-update-icon-cache scriptlet

Add scriptlet update package.
Cool applet tested successfully on FC6 i386 system.
Comment 7 Parag AN(पराग) 2006-12-07 07:10:02 EST
oops rpmlint is NOT silent but taking it as silent as only remaining warning is
of no-url-tag and which can be considerable as there is no upstream
(here i am aussming that packages in Fedora Core are existing without URL tag,
so does can be allowed in FE)
Comment 8 Parag AN(पराग) 2006-12-07 07:17:52 EST
Got one reference for no-url-tag (bug 200422) where Tim put tarball on somw web
space. Can you also do that? I think you can use people.redhat.com also. So
Update  url tag in SPEC also.
Comment 9 Thorsten Leemhuis 2006-12-07 08:20:43 EST
I don't think a empty URL tag is a problem. I'd say put a comment before the
Source0 line in the spec that points to the srpms from Opensuse where you
obtained the sources.
Comment 10 Radek Vokal 2006-12-07 09:17:03 EST
I'm still not sure about the correct placement of pixmap files. Can you please
review the spec file and help me with it. The place should be consistent but now
there are two directories where icons are stored. 

I've updated the spec file with the scripplet (just for one location) and
comment above the Source0.
Comment 11 Parag AN(पराग) 2006-12-10 12:38:02 EST
Try patching Makefiles in icons directory to install icons in path
$RPM_BUILD_ROOT%{_datadir}/pixmaps/hicolor instead default installation to 
$(datadir)/icons/gnome/16x16/apps in Makefiles.am

Then no need of icons scriptlets remains.
Comment 12 Parag AN(पराग) 2006-12-10 12:42:52 EST
I mean change $(datadir)/icons/gnome/16x16/apps to
$(datadir)/pixmaps/hicolor/16x16/apps
Comment 13 Radek Vokal 2006-12-12 10:20:44 EST
I have decided to remove all Suse icons and keep only the original ones. Please
check my latest changes 

http://people.redhat.com/rvokal/resapplet/resapplet.spec
http://people.redhat.com/rvokal/resapplet/resapplet-0.1.1-4.src.rpm
Comment 14 Parag AN(पराग) 2006-12-13 11:59:48 EST
Thanks.
rpmlint is reporting only no-url-tag warning.
Everthign other looks OK.
APPROVED.
Comment 15 Parag AN(पराग) 2006-12-18 01:16:16 EST
Don't Forget to CLOSE this review request once you import and build package in CVS.
Comment 16 Radek Vokal 2006-12-18 02:12:07 EST
I won't. Just didn't have time to import it yet. I'll do it today.
Comment 17 Parag AN(पराग) 2006-12-18 02:17:00 EST
take your time. I just reminded you :)
Comment 18 Radek Vokal 2006-12-20 04:49:41 EST
hmm, I haven't touched extras for some time and now I get this 

radek@localhost CVS$ export CVSROOT=:ext:rvokal@cvs.fedora.redhat.com:/cvs/extras
radek@localhost CVS$ export CVS_RSH=ssh
radek@localhost CVS$ cvs co common
Permission denied (publickey,keyboard-interactive).
cvs [checkout aborted]: end of file from server (consult above messages if any)

and I tried to upload new ssh publickey but still I'm seeing this. What should
be wrong?
Comment 19 Toshio Kuratomi 2006-12-29 00:37:25 EST
Have you checked whether your ssl cert has expired?

Also, I noticed that the owners.list file lists resapplet as belonging to
rvokal@eredhat.com.  If this is just a typo, please change it to rvokal@redhat.com.
Comment 20 Radek Vokal 2007-01-02 03:27:42 EST
I fixed that by uploading a new ssh key. Thanks

Note You need to log in before you can comment on or make changes to this bug.